PaymentType
Returns a list of all PaymentType
GET/api/invoice/paymenttypes
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all PaymentTypearray<PaymentType>
Show fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/paymenttypes \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/paymenttypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/paymenttypes"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/paymenttypes', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/paymenttypes"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/paymenttypes")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/paymenttypes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/invoice/paymenttypes'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);[
{
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true,
"bank_import_default": true,
"is_direct_debit": true,
"is_external": true,
"deleted": true
}
]Returns a list of all PaymentType
GET/api/invoice/payment_type
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all PaymentTypearray<PaymentType>
Show fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/payment_type \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/payment_type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/payment_type"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/payment_type', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/payment_type"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/payment_type")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/payment_type"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_payment_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingPaymentTypeController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true,
"bank_import_default": true,
"is_direct_debit": true,
"is_external": true,
"deleted": true
}
]Add a new PaymentType
POST/api/invoice/payment_type
Request body application/json
dataPaymentTypeShow fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new PaymentTypePaymentType
Show fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request POST \
--url https://your-instance.iw-erp.de/api/invoice/payment_type \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
name: 'Beispiel',
auto: true,
conditions: 'string',
linked_keywords: 'string',
global_default: true
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/payment_type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/payment_type"
payload = { "data": {
"id": 42,
"name": "Beispiel",
"auto": True,
"conditions": "string",
"linked_keywords": "string",
"global_default": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/invoice/payment_type', [
'body' => '{"data":{"id":42,"name":"Beispiel","auto":true,"conditions":"string","linked_keywords":"string","global_default":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/payment_type"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/payment_type")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/payment_type"
payload := strings.NewReader("{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_payment_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/payment_type.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingPaymentTypeController.post(PaymentType.fromJson({
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true,
"bank_import_default": true,
"is_direct_debit": true,
"is_external": true,
"deleted": true
}Get a single PaymentType
GET/api/invoice/payment_type/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Get a single PaymentTypePaymentType
Show fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/payment_type/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/payment_type/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/payment_type/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/payment_type/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/payment_type/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/payment_type/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/payment_type/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_payment_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingPaymentTypeController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true,
"bank_import_default": true,
"is_direct_debit": true,
"is_external": true,
"deleted": true
}Update a PaymentType
PUT/api/invoice/payment_type/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataPaymentTypeShow fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a PaymentTypePaymentType
Show fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PUT \
--url https://your-instance.iw-erp.de/api/invoice/payment_type/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
name: 'Beispiel',
auto: true,
conditions: 'string',
linked_keywords: 'string',
global_default: true
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/payment_type/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/payment_type/42"
payload = { "data": {
"id": 42,
"name": "Beispiel",
"auto": True,
"conditions": "string",
"linked_keywords": "string",
"global_default": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/invoice/payment_type/42', [
'body' => '{"data":{"id":42,"name":"Beispiel","auto":true,"conditions":"string","linked_keywords":"string","global_default":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/payment_type/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/payment_type/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/payment_type/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_payment_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/payment_type.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingPaymentTypeController.put(PaymentType.fromJson({
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true,
"bank_import_default": true,
"is_direct_debit": true,
"is_external": true,
"deleted": true
}Update a PaymentType
PATCH/api/invoice/payment_type/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataPaymentTypeShow fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a PaymentTypePaymentType
Show fields (10)
idintegerPrimary key of the payment type. Internal ID.
namestringName of the payment type, for example transfer or cash.
autobooleanPayments of this type are matched automatically.
conditionsstringConditions for matching payments to this type.
linked_keywordsstringKeywords in bank transactions that link to this payment type.
global_defaultbooleanDefault payment type for new invoices.
bank_import_defaultbooleanDefault payment type for bank imports.
is_direct_debitbooleanThe payment type is a direct debit.
is_externalbooleanThe payment is handled by an external service.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/invoice/payment_type/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
name: 'Beispiel',
auto: true,
conditions: 'string',
linked_keywords: 'string',
global_default: true
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/payment_type/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/payment_type/42"
payload = { "data": {
"id": 42,
"name": "Beispiel",
"auto": True,
"conditions": "string",
"linked_keywords": "string",
"global_default": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/invoice/payment_type/42', [
'body' => '{"data":{"id":42,"name":"Beispiel","auto":true,"conditions":"string","linked_keywords":"string","global_default":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/payment_type/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/payment_type/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/payment_type/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"name\":\"Beispiel\",\"auto\":true,\"conditions\":\"string\",\"linked_keywords\":\"string\",\"global_default\":true}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/invoice/payment_type/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true
}
}),
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"auto": true,
"conditions": "string",
"linked_keywords": "string",
"global_default": true,
"bank_import_default": true,
"is_direct_debit": true,
"is_external": true,
"deleted": true
}